Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class CenteraMediaDriver

    java.lang.Object
      oracle.ifs.server.CenteraMediaDriver

All Implemented Interfaces:
  CustomMediaDriver

    public class CenteraMediaDriver

extends java.lang.Object
implements CustomMediaDriver

CenteraMediaDriver is a custom media driver that stores content on Centera.

The `CenteraMediaDriver.SECUREPARAMETER_POOL_ADDRESS` secure parameter of the MediaCustom instance specifies the Centera pool address.

The properties of the MediaCustom instance control additional configuration of the CenteraMediaDriver instance. See `CenteraMediaDriver.PROPERTY_POOL_OPTION_PREFIX` and `CenteraMediaDriver.PROPERTY_GLOBAL_OPTION_PREFIX` for details.

(Published)

Field Summary
`static java.lang.String` | `MEDIAOPTION_DELETE_REASON` The name of the media option whose string value specifies the reason for deleting content.
`static java.lang.String` | `MEDIAOPTION_PRIVILEGED_DELETE` The name of the media option whose boolean value specifies whether to perform a "privileged delete".
`static java.lang.String` | `MEDIAOPTION_RETENTION_PERIOD` The name of the media option whose long value specifies the retention period of the content, in seconds since clip creation.
`static java.lang.String` | `PROPERTY_GLOBAL_OPTION_PREFIX` The name prefix of MediaCustom properties representing Centera global options.
`static java.lang.String` | `PROPERTY_POOL_OPTION_PREFIX` The name prefix of MediaCustom properties representing Centera pool options.
`static java.lang.String` | `SECUREPARAMETER_POOL_ADDRESS` The name of the MediaCustom secure parameter whose string value is the Centera pool address.

Constructor Summary
`CenteraMediaDriver()` Constructs a CenteraMediaDriver.

Method Summary
`void` | `destroyContent(S_MediaCustom media, java.lang.String address, java.lang.Long cid, AttributeValue[] mediaOptions)` Destroys content with the specified content address.
`java.io.InputStream` | `getContent(S_MediaCustom media, java.lang.String address)` Gets the content for the specified content address.
`long` | `getContentSize(S_MediaCustom media, java.lang.String address)` Gets the content size, in bytes, for the specified content address.
`RandomAccessDriver` | `getRandomAccessorDriver(S_MediaCustom media, java.lang.String address)` Gets a RandomAccessDriver for the specified content address.
`void` | `initialize(S_CustomMediaDriverSpecification cmds)` Initializes this CustomMediaDriver.
`java.lang.String` | `setContent(S_MediaCustom media, java.lang.Long cid, java.io.InputStream is, AttributeValue[] mediaOptions)` Stores content from the supplied InputStream.
`java.lang.String` | `setContentReference(S_MediaCustom media, java.lang.Long cid, java.lang.String contentReference, AttributeValue[] mediaOptions)` Stores content determined from a specified content reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECUREPARAMETER_POOL_ADDRESS

    public static final java.lang.String SECUREPARAMETER_POOL_ADDRESS

  Description copied from class: `CenteraMediaDriver`
  The name of the MediaCustom secure parameter whose string value is the Centera pool address.

  See Also:
    Constant Field Values
  (Published)

### PROPERTY_POOL_OPTION_PREFIX

    public static final java.lang.String PROPERTY_POOL_OPTION_PREFIX

  Description copied from class: `CenteraMediaDriver`
  The name prefix of MediaCustom properties representing Centera pool options.

  For example, a MediaCustom instance property named `IFS.MEDIACUSTOM.CENTERAMEDIADRIVER.PROPERTY.PoolOption.collisionavoidance` specifies the value of the `collisionavoidance` option.

  Centera pool options have integer values.

  See Also:
    Constant Field Values
  (Published)

### PROPERTY_GLOBAL_OPTION_PREFIX

    public static final java.lang.String PROPERTY_GLOBAL_OPTION_PREFIX

  Description copied from class: `CenteraMediaDriver`
  The name prefix of MediaCustom properties representing Centera global options.

  For example, a MediaCustom instance property named `IFS.MEDIACUSTOM.CENTERAMEDIADRIVER.PROPERTY.GlobalOption.maxconnections` specifies the value of the `maxconnections` option.

  Although Centera global options apply to all Centera pools constructed in a Java virtual machine, they are set in the context of a particular pool.

  Centera global options have integer values.

  See Also:
    Constant Field Values
  (Published)

### MEDIAOPTION_RETENTION_PERIOD

    public static final java.lang.String MEDIAOPTION_RETENTION_PERIOD

  Description copied from class: `CenteraMediaDriver`
  The name of the media option whose long value specifies the retention period of the content, in seconds since clip creation.

  This media option is examined when `setContent` is called to store content in Centera. If unspecified, Centera will apply a default retention period (which may be 0).

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

### MEDIAOPTION_DELETE_REASON

    public static final java.lang.String MEDIAOPTION_DELETE_REASON

  Description copied from class: `CenteraMediaDriver`
  The name of the media option whose string value specifies the reason for deleting content.

  This media option is examined when `destroyContent` is called to delete content in Centera. If specified and non-null, the clip will be deleted by an "audited delete" with the option's value as the reason. Otherwise, the clip will be deleted by a normal delete.

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

### MEDIAOPTION_PRIVILEGED_DELETE

    public static final java.lang.String MEDIAOPTION_PRIVILEGED_DELETE

  Description copied from class: `CenteraMediaDriver`
  The name of the media option whose boolean value specifies whether to perform a "privileged delete".

  This media option is examined when `destroyContent` is called to delete content in Centera. If specified and true, the clip will be deleted by an "audited privileged delete". Otherwise, the clip will be deleted by a normal delete or an "audited delete", depending on whether the `MEDIAOPTION_DELETE_REASON` media option is specified.

  An "audited privileged delete" requires a reason to be supplied by the `MEDIAOPTION_DELETE_REASON` media option.

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

Constructor Detail

### CenteraMediaDriver

    public CenteraMediaDriver()

  Constructs a CenteraMediaDriver.

  (Published)

Method Detail

### initialize

    public void initialize(S_CustomMediaDriverSpecification cmds)
                    throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Initializes this CustomMediaDriver.

  Specified by:
    `initialize` in interface `CustomMediaDriver`
  Parameters:
    `cmds` - the CustomMediaDriver specification
  Throws:
    `IfsException` - 13800: if the operation fails

### getContent

    public java.io.InputStream getContent(S_MediaCustom media,
                                          java.lang.String address)
                                   throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Gets the content for the specified content address.

  Specified by:
    `getContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the content
  Throws:
    `IfsException` - 13801: if the operation fails

### getContentSize

    public long getContentSize(S_MediaCustom media,
                               java.lang.String address)
                        throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Gets the content size, in bytes, for the specified content address.

  Specified by:
    `getContentSize` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the size
  Throws:
    `IfsException` - 13802: if the operation fails

### setContent

    public java.lang.String setContent(S_MediaCustom media,
                                       java.lang.Long cid,
                                       java.io.InputStream is,
                                       AttributeValue[] mediaOptions)
                                throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Stores content from the supplied InputStream.

  Specified by:
    `setContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `cid` - the content id
    `is` - the content
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Returns:
    the content address
  Throws:
    `IfsException` - 13803: if the operation fails

### setContentReference

    public java.lang.String setContentReference(S_MediaCustom media,
                                                java.lang.Long cid,
                                                java.lang.String contentReference,
                                                AttributeValue[] mediaOptions)
                                         throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Stores content determined from a specified content reference.

  The interpretation of `contentReference` is determined by the CustomMediaDriver implementation. Some implementations may store its value, while others may resolve its value (in a implementation determined fashion) to other content and store that content instead.

  Specified by:
    `setContentReference` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `cid` - the content id
    `contentReference` - the content reference
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Returns:
    the content address
  Throws:
    `IfsException` - 13804: if the operation fails

### getRandomAccessorDriver

    public RandomAccessDriver getRandomAccessorDriver(S_MediaCustom media,
                                                      java.lang.String address)
                                               throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Gets a RandomAccessDriver for the specified content address.

  Specified by:
    `getRandomAccessorDriver` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the RandomAccessDriver
  Throws:
    `IfsException` - 13805: if the operation fails

### destroyContent

    public void destroyContent(S_MediaCustom media,
                               java.lang.String address,
                               java.lang.Long cid,
                               AttributeValue[] mediaOptions)
                        throws IfsException

  Description copied from class: `CenteraMediaDriver`
  Destroys content with the specified content address.

  Specified by:
    `destroyContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
    `cid` - the content id
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Throws:
    `IfsException` - 13806: if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD